| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/renderbuffer.h File Reference

Render buffer. More...

`#include "csextern.h"`
`#include "csutil/leakguard.h"`
`#include "csutil/scf_implementation.h"`
`#include "ivideo/rndbuf.h"`

Go to the source code of this file.

## Classes
struct | csInterleavedSubBufferOptions
| Structure describing the properties of the individual buffers to be interleaved. More...
class | csRenderBuffer
| Render buffer - basic container for mesh geometry data. More...
struct | csRenderBuffer::Props
| To scrape off a few bytes use bitfields; assumes values are in sane limits. More...

## Detailed Description

Render buffer.

Definition in file renderbuffer.h.